Failed to save: Failed to create a compute os1_openstack (OpenStack) instance baboo.samsung.lab:

Expected([200, 203]) <=> Actual(404 Not Found)

07/30/2015 11:24 AM - tony zheng

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

get this error while trying to create a new host using a openstack computer resource.  connection test was all good and i can

manually login to openstock sever to manually create using the same account.  i am on foreman 1.8.2 RHEL 6.

here is the detailed log:

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

2015-07-30 10:45:57 [W] Rolling back due to a problem: [Set up compute instance baboo.samsung.lab     2     failed    

[#<Host::Managed id: nil, name: "baboo.samsung.lab", last_compile: nil, last_freshcheck: nil, last_report: nil, updated_at: nil,

source_file_id: nil, created_at: nil, root_pass: "$1$2YQIiPRc$DT5Bf3et.IsQpGsLaLtei0", serial: nil, puppet_status: 0, architecture_id:

1, operatingsystem_id: 1, environment_id: 1, ptable_id: nil, medium_id: nil, build: true, comment: "", disk: "", installed_at: nil,

model_id: nil, hostgroup_id: 3, owner_id: 3, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image:

nil, image_file: nil, uuid: nil, compute_resource_id: 2, puppet_proxy_id: 1, certname: nil, image_id: nil, organization_id: nil,

location_id: nil, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: 2, provision_method: "image", grub_pass:

"$1$36dMMNwc$fi9p/gLUX23xpjTELjok..", discovery_rule_id: nil>, :setCompute]]

2015-07-30 10:45:57 [I] Failed to save: Failed to create a compute os1_openstack (OpenStack) instance baboo.samsung.lab:

Expected([200, 203]) <=> Actual(404 Not Found)

excon.error.response

:body          => "{\"itemNotFound\": {\"message\": \"Image not found.\", \"code\": 404}}"

:headers       => {

"Content-Length"       => "62"

"Content-Type"         => "application/json; charset=UTF-8"

"Date"                 => "Thu, 30 Jul 2015 14:43:44 GMT"

"X-Compute-Request-Id" => "req-60af921f-6190-4563-a10b-5fc40a7e533c"

}

:local_address => "105.1.43.46"

:local_port    => 54399

:reason_phrase => "Not Found"

:remote_ip     => "105.1.43.80"

:status        => 404

History

#1 - 08/03/2015 05:51 AM - Lukas Zapletal

- Status changed from New to Need more information

- Difficulty deleted (hard)

It looks like the image associated for this CR was deleted in OpenStack. Can you verify and re-associate it?

#2 - 08/03/2015 01:47 PM - tony zheng
no it wasnt.  i can create the instance with the same image manually in openstack web GUI.

#3 - 05/17/2017 03:16 PM - Anonymous

- Status changed from Need more information to Resolved

closing due to timeout
